ServerEvents.recipes(event => {
    event.remove({ output: 'thermal:press_gear_die'})
    event.shaped('thermal:press_gear_die', [
		' I ',
		'IGI',
		' I '
		], {
			I: '#forge:plates/invar',
			G: '#forge:gears/gold'
	});
    event.shaped('kubejs:press_rod_die', [
		' I ',
		'ISI',
		' I '
		], {
			I: '#forge:plates/invar',
			S: '#forge:rods/gold'
	});
	event.recipes.thermal.crucible(Fluid.of('kubejs:molten_grout', 100), 'kubejs:compressed_grout')
	event.recipes.thermal.crucible(Fluid.of('tconstruct:molten_iron', 1000), 'minecraft:iron_block')
	event.recipes.thermal.crucible(Fluid.of('kubejs:molten_coal', 1000), 'minecraft:coal_block')
	event.recipes.thermal.crucible(Fluid.of('tconstruct:molten_copper', 1000), 'minecraft:copper_block')
	event.recipes.thermal.crucible(Fluid.of('tconstruct:molten_zinc', 1000), 'create:zinc_block')
	event.recipes.thermal.crucible(Fluid.of('tconstruct:molten_gold', 1000), 'minecraft:gold_block')
	event.recipes.thermal.crucible(Fluid.of('kubejs:molten_lapis', 1000), 'minecraft:lapis_block')
	event.recipes.thermal.crucible(Fluid.of('kubejs:molten_source', 1000), 'ars_nouveau:source_gem_block')
	event.recipes.thermal.crucible(Fluid.of('bloodmagic:life_essence_fluid', 1000), 'bloodmagic:apprenticebloodorb')
	event.recipes.thermal.crucible(Fluid.of('tconstruct:molten_diamond', 1000), 'minecraft:diamond_block')
	event.recipes.thermal.crucible(Fluid.of('tconstruct:molten_lead', 1000), 'thermal:lead_block')
	event.recipes.thermal.crucible(Fluid.of('tconstruct:molten_nickel', 1000), 'thermal:nickel_block')
	event.recipes.thermal.crucible(Fluid.of('tconstruct:molten_tin', 1000), 'thermal:tin_block')
	event.recipes.thermal.crucible(Fluid.of('tconstruct:molten_silver', 1000), 'thermal:silver_block')

	// Basic
	event.recipes.thermal.bottler('kubejs:basic_resource_shell', ['excompressum:compressed_cobblestone', Fluid.of('kubejs:molten_grout', 1000)])
	event.recipes.thermal.bottler('kubejs:iron_resource_core', ['kubejs:basic_resource_shell', Fluid.of('tconstruct:molten_iron', 1000)])
	event.recipes.thermal.bottler('kubejs:copper_resource_core', ['kubejs:basic_resource_shell', Fluid.of('tconstruct:molten_copper', 1000)])
	event.recipes.thermal.bottler('kubejs:coal_resource_core', ['kubejs:basic_resource_shell', Fluid.of('kubejs:molten_coal', 1000)])
	event.recipes.thermal.bottler('kubejs:zinc_resource_core', ['kubejs:basic_resource_shell', Fluid.of('tconstruct:molten_zinc', 1000)])
	// Magic
	event.recipes.thermal.bottler('kubejs:magic_resource_shell', ['kubejs:basic_shard', Fluid.of('kubejs:molten_source', 1000)])
	event.recipes.thermal.bottler('kubejs:gold_resource_core', ['kubejs:magic_resource_shell', Fluid.of('tconstruct:molten_gold', 1000)])
	event.recipes.thermal.bottler('kubejs:redstone_resource_core', ['kubejs:magic_resource_shell', Fluid.of('thermal:redstone', 1000)])
	event.recipes.thermal.bottler('kubejs:lapis_resource_core', ['kubejs:magic_resource_shell', Fluid.of('kubejs:molten_lapis', 1000)])
	event.recipes.thermal.bottler('kubejs:source_resource_core', ['kubejs:magic_resource_shell', Fluid.of('kubejs:molten_source', 1000)])
	event.recipes.thermal.bottler('kubejs:blood_resource_core', ['kubejs:magic_resource_shell', Fluid.of('bloodmagic:life_essence_fluid', 1000)])
	// Hardened
	event.recipes.thermal.bottler('kubejs:nickel_resource_core', ['kubejs:hardened_resource_shell', Fluid.of('tconstruct:molten_nickel', 1000)])
	event.recipes.thermal.bottler('kubejs:diamond_resource_core', ['kubejs:hardened_resource_shell', Fluid.of('tconstruct:molten_diamond', 1000)])
	event.recipes.thermal.bottler('kubejs:lead_resource_core', ['kubejs:hardened_resource_shell', Fluid.of('tconstruct:molten_lead', 1000)])
	event.recipes.thermal.bottler('kubejs:tin_resource_core', ['kubejs:hardened_resource_shell', Fluid.of('tconstruct:molten_tin', 1000)])
	event.recipes.thermal.bottler('kubejs:silver_resource_core', ['kubejs:hardened_resource_shell', Fluid.of('tconstruct:molten_silver', 1000)])
	// Misc
	event.recipes.thermal.crucible(Fluid.of('tconstruct:molten_uranium', 1000), 'immersiveengineering:storage_uranium')
	event.recipes.thermal.bottler('kubejs:uranium_resource_core', ['kubejs:hardened_shard', Fluid.of('tconstruct:molten_uranium', 1000)])
	event.recipes.thermal.crucible(Fluid.of('tconstruct:molten_quartz', 250), 'minecraft:quartz_block')
	event.recipes.thermal.bottler('kubejs:quartz_resource_core', ['kubejs:hardened_shard', Fluid.of('tconstruct:molten_quartz', 1000)])
	event.recipes.thermal.crucible(Fluid.of('tconstruct:molten_netherite', 1000), 'minecraft:netherite_block')
	event.recipes.thermal.bottler('kubejs:netherite_resource_core', ['kubejs:hardened_shard', Fluid.of('tconstruct:molten_netherite', 1000)])
	event.recipes.thermal.crucible(Fluid.of('tconstruct:molten_steel', 1000), 'thermal:steel_block')
	event.recipes.thermal.bottler('kubejs:steel_resource_core', ['kubejs:hardened_shard', Fluid.of('tconstruct:molten_steel', 1000)])
	event.recipes.thermal.crucible(Fluid.of('tconstruct:molten_cobalt', 1000), 'tconstruct:cobalt_block')
	event.recipes.thermal.bottler('kubejs:cobalt_resource_core', ['kubejs:hardened_shard', Fluid.of('tconstruct:molten_cobalt', 1000)])

	// Fluid Cores
	event.recipes.thermal.bottler('kubejs:dtfuel_fluid_core', ['kubejs:blank_fluid_core', Fluid.of('mekanismgenerators:fusion_fuel', 1000)])
	event.recipes.thermal.bottler('kubejs:essence_fluid_core', ['kubejs:blank_fluid_core', Fluid.of('industrialforegoing:essence', 1000)])
	event.recipes.thermal.bottler('kubejs:refined_obsidian_fluid_core', ['kubejs:blank_fluid_core', Fluid.of('tconstruct:molten_refined_obsidian', 1000)])
	event.recipes.thermal.bottler('kubejs:source_fluid_core', ['kubejs:blank_fluid_core', Fluid.of('kubejs:molten_source', 1000)])
	event.recipes.thermal.bottler('kubejs:water_fluid_core', ['kubejs:blank_fluid_core', Fluid.of('minecraft:water', 1000)])
	event.recipes.thermal.bottler('kubejs:lava_fluid_core', ['kubejs:blank_fluid_core', Fluid.of('minecraft:lava', 1000)])
	event.recipes.thermal.bottler('kubejs:latex_fluid_core', ['kubejs:blank_fluid_core', Fluid.of('industrialforegoing:latex', 1000)])
	event.recipes.thermal.bottler('kubejs:blazing_blood_fluid_core', ['kubejs:blank_fluid_core', Fluid.of('tconstruct:blazing_blood', 1000)])
	event.recipes.thermal.bottler('kubejs:pink_slime_fluid_core', ['kubejs:blank_fluid_core', Fluid.of('industrialforegoing:pink_slime', 1000)])

	// Die recipe
	event.recipes.thermal.press(['kubejs:hardened_shard'], [Item.of('kubejs:hardened_blob'), 'kubejs:press_emc_die']).energy(2400);

	// Misc
	event.recipes.thermal.chiller(Item.of('minecraft:honeycomb'), Fluid.of('create:honey', 1000))
	
})